import { IObservable } from "../../../../base/common/observable.js";
import { IMcpServer, LazyCollectionState } from "./mcpTypes.js";
export declare const IMcpService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IMcpService>;
export interface IMcpService {
    _serviceBrand: undefined;
    readonly servers: IObservable<readonly IMcpServer[]>;
    resetCaches(): void;
    readonly lazyCollectionState: IObservable<LazyCollectionState>;
    activateCollections(): Promise<void>;
}
